stan::math::scal_squared_distance_dv_vari Class Reference

`#include <squared_distance.hpp>`

Inheritance diagram for stan::math::scal_squared_distance_dv_vari:

## Public Member Functions

| scal_squared_distance_dv_vari (double a, vari *bvi)
void | chain ()
| Apply the chain rule to this variable based on the variables on which it depends. More...
Public Member Functions inherited from stan::math::op_dv_vari
| op_dv_vari (double f, double a, vari *bvi)
Public Member Functions inherited from stan::math::vari
| vari (double x)
| Construct a variable implementation from a value. More...
| vari (double x, bool stacked)
virtual | ~vari ()
| Throw an illegal argument exception. More...
void | init_dependent ()
| Initialize the adjoint for this (dependent) variable to 1. More...
void | set_zero_adjoint ()
| Set the adjoint value of this variable to 0. More...

## Additional Inherited Members

Static Public Member Functions inherited from stan::math::vari
static void * | operator new (size_t nbytes)
| Allocate memory from the underlying memory pool. More...
static void | operator delete (void *)
| Delete a pointer from the underlying memory pool. More...
Public Attributes inherited from stan::math::vari
const double | val_
| The value of this variable. More...
double | adj_
| The adjoint of this variable, which is the partial derivative of this variable with respect to the root variable. More...
Protected Attributes inherited from stan::math::op_dv_vari
double | ad_
vari * | bvi_

## Detailed Description

Definition at line 32 of file squared_distance.hpp.

## Constructor & Destructor Documentation

## scal_squared_distance_dv_vari()

stan::math::scal_squared_distance_dv_vari::scal_squared_distance_dv_vari | ( | double | a,
|  | vari * | bvi
| ) |  |

inline

Definition at line 34 of file squared_distance.hpp.

## Member Function Documentation

## chain()

void stan::math::scal_squared_distance_dv_vari::chain | ( |  | ) |

inline virtual

Apply the chain rule to this variable based on the variables on which it depends.

The base implementation in this class is a no-op.

Reimplemented from stan::math::vari.

Definition at line 38 of file squared_distance.hpp.

The documentation for this class was generated from the following file:

- stan/math/rev/scal/fun/squared_distance.hpp

[ Stan Home Page ] © 2011–2016, Stan Development Team.